import request from '@/utils/request'

// 查询测量批次列表
export function listMeasBatch(query) {
  return request({
    url: '/meas/measBatch/list',
    method: 'get',
    params: query
  })
}

// 查询测量批次详细
export function getMeasBatch(id) {
  return request({
    url: '/meas/measBatch/' + id,
    method: 'get'
  })
}

// 新增测量批次
export function addMeasBatch(data) {
  return request({
    url: '/meas/measBatch',
    method: 'post',
    data: data
  })
}

// 修改测量批次
export function updateMeasBatch(data) {
  return request({
    url: '/meas/measBatch',
    method: 'put',
    data: data
  })
}

// 删除测量批次
export function delMeasBatch(id) {
  return request({
    url: '/meas/measBatch/' + id,
    method: 'delete'
  })
}
